Bug Hunting Session
Bug 109380 - With spreadsheet open in multiple windows, reaching the end of the undo stack in one doesn't switch status of undo/redo buttons in the other
Summary: With spreadsheet open in multiple windows, reaching the end of the undo stack...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2017-07-26 12:23 UTC by Aron Budea
Modified: 2019-07-30 03:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-07-26 12:23:42 UTC
- Start a new spreadsheet.
- Make a single change, eg. add "1" in A1.
- Duplicate window via Window -> New Window.
- Undo the change in one window. Note that the states of Undo/Redo arrows have changed, since you reached the end of the undo stack.

=> When you switch to the other window, the state of Undo/Redo arrows is not updated there.

Observed using 6.0 master build and 3.3.0 / Ubuntu 17.04.
Comment 1 Xisco Faulí 2017-07-26 15:05:44 UTC
Confirmed in

Version: 6.0.0.0.alpha0+
Build ID: e0b6a4a2d2dec4e9614f27fc03f84b1c578028ec
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 2 QA Administrators 2018-07-27 02:42:21 UTC Comment hidden (obsolete)
Comment 3 Aron Budea 2018-07-27 11:19:31 UTC
Still occurs in 6.2 master build.

Version: 6.2.0.0.alpha0+
Build ID: af3a976ab355b8e67f91a6223427bf967fdaefff
Comment 4 QA Administrators 2019-07-30 03:14:24 UTC
Dear Aron Budea,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug